RelayAPI

Check if a subreddit exists and get its details

GET
/v1/tools/validate/subreddit
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

name*string

Subreddit name (without r/ prefix)

Match^[a-zA-Z0-9_]+$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tools/validate/subreddit?name=string"
{  "exists": true,  "name": "string",  "title": "string",  "subscribers": 0,  "nsfw": true,  "post_types": {    "self": true,    "link": true,    "image": true,    "video": true  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo